Bug 968570 - SELinux is preventing /usr/bin/bash from 'read' accesses on the directory /sys/fs/pstore.
SELinux is preventing /usr/bin/bash from 'read' accesses on the directory /sy...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e34a835a44f5f5b833d429aca0c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 16:46 EDT by Moez Roy
Modified: 2013-07-24 20:37 EDT (History)
10 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-98.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:37:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moez Roy 2013-05-29 16:46:47 EDT
Description of problem:
SELinux is preventing /usr/bin/bash from 'read' accesses on the directory /sys/fs/pstore.

*****  Plugin restorecon (99.5 confidence) suggests  *************************

If you want to fix the label. 
/sys/fs/pstore default label should be sysfs_t.
Then you can run restorecon.
Do
# /sbin/restorecon -v /sys/fs/pstore

*****  Plugin catchall (1.49 confidence) suggests  ***************************

If you believe that bash should be allowed read access on the pstore directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep abrt-harvest-ue /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:initrc_t:s0
Target Context                system_u:object_r:pstorefs_t:s0
Target Objects                /sys/fs/pstore [ dir ]
Source                        abrt-harvest-ue
Source Path                   /usr/bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-96.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.x86_64 #1 SMP Fri
                              May 24 20:10:49 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-05-29 13:44:08 PDT
Last Seen                     2013-05-29 13:44:08 PDT
Local ID                      3bffb84e-43ab-4b17-a6e2-c122951b3747

Raw Audit Messages
type=AVC msg=audit(1369860248.831:116): avc:  denied  { read } for  pid=669 comm="abrt-harvest-ue" name="/" dev="pstore" ino=7218 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:pstorefs_t:s0 tclass=dir


Hash: abrt-harvest-ue,initrc_t,pstorefs_t,dir,read

audit2allow

#============= initrc_t ==============
allow initrc_t pstorefs_t:dir read;

audit2allow -R
require {
	type pstorefs_t;
	type initrc_t;
	class dir read;
}

#============= initrc_t ==============
allow initrc_t pstorefs_t:dir read;


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.x86_64
type:           libreport

Potential duplicate: bug 967644
Comment 1 Miroslav Grepl 2013-05-30 07:45:56 EDT
What does 

# ps -efZ |grep initrc



ABRT folks,
is there a new ABRT service?
Comment 2 Jakub Filak 2013-05-30 08:37:32 EDT
Yes, abrt-uefioops.service has been recently added.

https://github.com/abrt/abrt/commit/865f7b88b391f2fbd71baa1aa3d6320455d4f519
Comment 3 Miroslav Grepl 2013-06-03 16:08:32 EDT
Ok, I am adding support for this.
Comment 4 Fedora Update System 2013-06-27 09:33:44 EDT
selinux-policy-3.11.1-98.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-98.fc18
Comment 5 Fedora Update System 2013-06-28 02:07:54 EDT
Package selinux-policy-3.11.1-98.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-98.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11859/selinux-policy-3.11.1-98.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-24 20:37:46 EDT
selinux-policy-3.11.1-98.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.